Get settlement by date and cycle
curl --request GET \
--url https://api.palomma.com/v1/settlements/{date}/{cycle} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v1/settlements/{date}/{cycle}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v1/settlements/{date}/{cycle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "2026-03-12",
"cycle": "1",
"status": "paid",
"numberOfInvoices": 24,
"amountCollected": 45200000,
"fees": 610000,
"feesPostpaid": false,
"adjustments": 0,
"gateway": false,
"paymentAmount": 44590000
}Settlements
Get settlement by date and cycle
Retrieves a single settlement by date and cycle.
GET
/
settlements
/
{date}
/
{cycle}
Get settlement by date and cycle
Authorizations
Send header: Authorization: Bearer <apiKey>.
Path Parameters
Settlement date in YYYY-MM-DD format.
Settlement cycle identifier.
Response
Settlement found
Settlement date (YYYY-MM-DD).
Settlement cycle identifier.
Settlement status: processing, paid, credited, or error.
Available options:
processing, paid, credited, error Total number of invoices included in this settlement.
Gross amount collected in COP.
Total fees deducted in COP.
Whether fees are billed separately (postpaid) for this settlement.
Any adjustments applied to the settlement amount in COP.
Whether this is a gateway settlement.
Net amount paid out in COP.
